Page MenuHomeFreeBSD

net80211: split up ieee80211_probereq()
ClosedPublic

Authored by bz on Sep 24 2020, 12:49 PM.

Details

Summary

Factor out ieee80211_probereq_ie() and ieee80211_probereq_ie_len()
and make the length dynamic rather than static max. The latter is
needed as out current fixed length was longer than some "hw scan",
e.g. that of ath10k, will take. This way we can pass what we have.
Should this not be sufficient in the future we might have to deal
with filtering and much more error handling.

This also removes a duplicate calculation for ieee80211_ie_wpa [1].

Repoprted also by:	Martin Husemann <martin NetBSD.org> [1]
Sponsored by:	Rubicon Communications, LLC ("Netgate")
Sponsored by: The FreeBSD Foundation (update for alloc)
Reviewed by: ...
MFC after: ...
Diff..: ...

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bz requested review of this revision.Sep 24 2020, 12:49 PM
This revision is now accepted and ready to land.Dec 10 2020, 12:59 PM

No longer exporting _len(); seems we do not need that publicly.
Add a bool option to alloc the ie space which we may need for
other uses (such as LinuxKPI).
Cleanup.

Obtained-from: bz_iwlwifi

This revision now requires review to proceed.Mar 6 2021, 9:24 PM
bz edited the summary of this revision. (Show Details)

This looks good to me.

sys/net80211/ieee80211_output.c
2447

I'm not a huge fan of #ifdef notyet but this looks reasonable here.

2516–2517

Minor point: if it was #if 0 before and it's #ifdef notyet now ... maybe it should just go away for the time being? It can be brought back with the other 11ac work.

This revision is now accepted and ready to land.Tue, Mar 16, 11:40 AM
This revision was automatically updated to reflect the committed changes.